gesture = 3, horizontal, workspace

#animations {
#    enabled = yes, please :)
#
#    # Default curves, see https://wiki.hypr.land/Configuring/Animations/#curves
#    #        NAME,           X0,   Y0,   X1,   Y1
#    bezier = easeOutQuint,   0.23, 1,    0.32, 1
#    bezier = easeInOutCubic, 0.65, 0.05, 0.36, 1
#    bezier = linear,         0,    0,    1,    1
#    bezier = almostLinear,   0.5,  0.5,  0.75, 1
#    bezier = quick,          0.15, 0,    0.1,  1
#
#    # Default animations, see https://wiki.hypr.land/Configuring/Animations/
#    #           NAME,          ONOFF, SPEED, CURVE,        [STYLE]
#    animation = global,        1,     10,    default
#    animation = border,        1,     5.39,  easeOutQuint
#    animation = windows,       1,     4.79,  easeOutQuint
#    animation = windowsIn,     1,     4.1,   easeOutQuint, popin 87%
#    animation = windowsOut,    1,     1.49,  linear,       popin 87%
#    animation = fadeIn,        1,     1.73,  almostLinear
#    animation = fadeOut,       1,     1.46,  almostLinear
#    animation = fade,          1,     3.03,  quick
#    animation = layers,        1,     3.81,  easeOutQuint
#    animation = layersIn,      1,     4,     easeOutQuint, fade
#    animation = layersOut,     1,     1.5,   linear,       fade
#    animation = fadeLayersIn,  1,     1.79,  almostLinear
#    animation = fadeLayersOut, 1,     1.39,  almostLinear
#    animation = workspaces,    1,     1.94,  almostLinear, fade
#    animation = workspacesIn,  1,     1.21,  almostLinear, fade
#    animation = workspacesOut, 1,     1.94,  almostLinear, fade
#    animation = zoomFactor,    1,     7,     quick
#}
#
# Ref https://wiki.hypr.land/Configuring/Workspace-Rules/
# "Smart gaps" / "No gaps when only"
# uncomment all if you wish to use that.
# workspace = w[tv1], gapsout:0, gapsin:0
# workspace = f[1], gapsout:0, gapsin:0
# windowrule {
#     name = no-gaps-wtv1
#     match:float = false
#     match:workspace = w[tv1]
#
#     border_size = 0
#     rounding = 0
# }
#
# windowrule {
#     name = no-gaps-f1
#     match:float = false
#     match:workspace = f[1]
#
#     border_size = 0
#     rounding = 0
# }

# See https://wiki.hypr.land/Configuring/Dwindle-Layout/ for more
#dwindle {
#    pseudotile = true # Master switch for pseudotiling. Enabling is bound to mainMod + P in the keybinds section below
#    preserve_split = true # You probably want this
#}
#
## See https://wiki.hypr.land/Configuring/Master-Layout/ for more
#master {
#    new_status = master
#}
#
## https://wiki.hypr.land/Configuring/Variables/#misc
#misc {
#    force_default_wallpaper = -1 # Set to 0 or 1 to disable the anime mascot wallpapers
#    disable_hyprland_logo = false # If true disables the random hyprland logo / anime girl background. :(
#}

##############################
### WINDOWS AND WORKSPACES ###
##############################

# See https://wiki.hypr.land/Configuring/Window-Rules/ for more
# See https://wiki.hypr.land/Configuring/Workspace-Rules/ for workspace rules

# Example windowrules that are useful

windowrule {
    # Ignore maximize requests from all apps. You'll probably like this.
    name = suppress-maximize-events
    match:class = .*

    suppress_event = maximize
}

windowrule {
    # Fix some dragging issues with XWayland
    name = fix-xwayland-drags
    match:class = ^$
    match:title = ^$
    match:xwayland = true
    match:float = true
    match:fullscreen = false
    match:pin = false

    no_focus = true
}

# Hyprland-run windowrule
windowrule {
    name = move-hyprland-run

    match:class = hyprland-run

    move = 20 monitor_h-120
    float = yes
}
